## bashtop 0.8.20

=== Makefile ===
PREFIX ?= /usr
DOCDIR ?= $(PREFIX)/share/doc/bashtop

all:
	@echo Run \'make install\' to install bashtop.

install:
	@mkdir -p $(DESTDIR)$(PREFIX)/bin
	@cp -p bashtop $(DESTDIR)$(PREFIX)/bin/bashtop
	@cp -p README.md $(DESTDIR)$(DOCDIR)
	@chmod 755 $(DESTDIR)$(PREFIX)/bin/bashtop

uninstall:
	@rm -rf $(DESTDIR)$(PREFIX)/bin/bashtop
	@rm -rf $(DESTDIR)$(DOCDIR)

=== debian/changelog ===
bashtop (0.8.20-0.1mx17+1) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 May 2020 09:06:35 -0700

=== debian/control ===
Source: bashtop
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.4
Homepage: https://github.com/aristocratos/bashtop

Package: bashtop
Architecture: all
Depends: bash, sysstat
Description: terminal UI system resources monitor written in bash
 Resource monitor that shows usage and stats for processor, memory, disks,
 network and processes.
 .
 Features
 .
 * Easy to use, with a game inspired menu system.
 * Fast and responsive UI with UP, DOWN keys process selection.
 * Function for showing detailed stats for selected process.
 * Ability to filter processes.
 * Easy switching between sorting options.
 * Send SIGTERM, SIGKILL, SIGINT to selected process.
 * UI menu for changing all config file options.
 * Auto scaling graph for network usage.
 * Shows message in menu if new version is available

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  

override_dh_auto_install:

## bashtop 0.9.25

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PREFIX ?= /usr
+PREFIX ?= /usr/local
 DOCDIR ?= $(PREFIX)/share/doc/bashtop
 
 all:
@@ -7,6 +7,7 @@
 install:
 	@mkdir -p $(DESTDIR)$(PREFIX)/bin
 	@cp -p bashtop $(DESTDIR)$(PREFIX)/bin/bashtop
+	@mkdir -p $(DESTDIR)$(DOCDIR)
 	@cp -p README.md $(DESTDIR)$(DOCDIR)
 	@chmod 755 $(DESTDIR)$(PREFIX)/bin/bashtop

=== requirements.txt ===
psutil==5.7.0

=== debian/changelog ===
bashtop (0.9.25-1) unstable; urgency=medium

  * New upstream version
  * Remove useless bash from BD
  * Bump version of python3-psutil to 5.7.0
  * Improve description in d/control

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jul 2020 09:23:31 +0200

bashtop (0.9.22-1) unstable; urgency=high

  * New upstream version
     Fix security issues (Closes: #964366, #964788)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Jul 2020 19:02:52 +0200

bashtop (0.9.20-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 07 Jul 2020 11:38:53 +0200

bashtop (0.9.19-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jul 2020 07:14:51 +0200

bashtop (0.9.18-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 28 Jun 2020 08:36:56 +0200

bashtop (0.9.11-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Dylan Aïssi ]
  * Install themes into /usr/share/bashtop/themes/
  * Update patch to only disable check for new version
  * Add curl to Recommends in order to download themes

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Jun 2020 11:35:54 +0200

bashtop (0.9.11-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 17 Jun 2020 09:53:21 +0200

bashtop (0.9.9-1) unstable; urgency=medium

  * New upstream version
  * Add python3-psutil to Recommends

 -- Dylan Aïssi <daissi@debian.org>  Fri, 12 Jun 2020 09:45:28 +0200

bashtop (0.8.5-1) unstable; urgency=medium

  * Initial release (Closes: #958702)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Apr 2020 22:08:04 +0200

=== debian/control ===
Source: bashtop
Maintainer: Dylan Aïssi <daissi@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/bashtop
Vcs-Git: https://salsa.debian.org/debian/bashtop.git
Homepage: https://github.com/aristocratos/bashtop
Rules-Requires-Root: no

Package: bashtop
Architecture: all
Depends: bash (>= 5.0),
         ${misc:Depends},
         ${shlibs:Depends},
         gawk,
         procps
Recommends: lm-sensors,
            sysstat,
            python3-psutil (>= 5.7.0),
            curl
Description: Resource monitor that shows usage and stats
 Resource monitor that shows usage and stats for processor,
 memory, disks, network and processes. bashtop includes:
  - Easy to use, with a game inspired menu system.
  - Fast and responsive UI with UP, DOWN keys process selection.
  - Function for showing detailed stats for selected process.
  - Ability to filter processes.
  - Easy switching between sorting options.
  - Send SIGTERM, SIGKILL, SIGINT to selected process.
  - UI menu for changing all config file options.
  - Auto scaling graph for network usage.
  - Shows current read and write speeds for disks.
  - Multiple data collection methods which can be switched if running on Linux.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bashtop-$1\.tar\.gz/ \
  https://github.com/aristocratos/bashtop/tags .*/v?(\d\S+)\.tar\.gz
